{ inputs, config, pkgs, ... }:

{
  imports = [
    (import ./common.nix { inherit inputs config pkgs; })
    (import ./hyprland { inherit inputs pkgs; })
    (import ./waybar { inherit inputs pkgs; })
    ./rofi
    ./alacritty
    ./kitty
    ./firefox
    ./ssh
    ./mpv
  ];
  home.packages = with pkgs; [ telegram-desktop webcord devenv ];
  programs.ssh.matchBlocks."*".identityFile = "/home/server/.secrets/SSH/Aloria/id_ed25519";

  services.hyprpaper = {
    settings = {
      wallpaper = [
        "HDMI-A-1,${./hyprland/files/wallpaper.png}"
        "HDMI-A-2,${./hyprland/files/wallpaper.png}"
        "eDP-1,${./hyprland/files/wallpaper.png}"
      ];
    };
  };

  gtk.iconTheme = {
    name = "Papirus";
    gtk.iconTheme.package = pkgs.papirus-icon-theme;
  };
  programs.waybar = { settings = { mainBar = { output = "eDP-1"; }; }; };
  home.file."${config.xdg.configHome}/hypr/card".text =
  # Intel:  /dev/dri/by-path/pci-0000:00:02.0-card
  # Nvidia: /dev/dri/by-path/pci-0000:01:00.0-card
  wayland.windowManager.hyprland.settings.env = ["WLR_DRM_DEVICES,/dev/dri/by-path/pci-0000:00:02.0-card"];
}
