{ inputs, config, pkgs, ... }:

{
  imports = [
    (import ./common.nix { inherit inputs config pkgs; })
    (import ./hyprland { inherit inputs pkgs; })
    (import ./waybar { inherit inputs pkgs; })
    ./rofi
    ./alacritty
    ./kitty
    ./firefox
    ./ssh
    ./mpv
  ];
  home.packages = with pkgs; [ telegram-desktop webcord devenv ];
  programs.ssh.matchBlocks."*".identityFile = "/home/server/.secrets/SSH/Kell/id_ed25519";

  services.hyprpaper = {
    settings = {
      wallpaper = [
        "DP-3,${./hyprland/files/wallpaper.png}"
        "DP-2,${./hyprland/files/wallpaper.png}"
        "HDMI-A-1,${./hyprland/files/wallpaper.png}"
      ];
    };
  };

  gtk.iconTheme = {
    name = "Papirus";
    gtk.iconTheme.package = pkgs.papirus-icon-theme;
  };
  programs.waybar = { settings = { mainBar = { output = "DP-2"; }; }; };
  wayland.windowManager.hyprland.settings = {
      monitor = [
        "DP-3,preferred,0x550,1"
        "DP-2,preferred,1920x0,1"
        "HDMI-A-1,preferred,5760x550,1"
      ];
      input.kb_options = "compose:rctrl, caps:super, altwin:swap_alt_win";
  };
}
